Skip to main content

Resource Quotas

View as Markdown

QuotaInfo object

parent_securable_typestring

The quota parent securable type.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE, MODEL, MODEL_SERVICE, MCP_SERVICE, MODEL_PROVIDER_SERVICE

Example: schema

parent_full_namestring

Name of the parent resource. Returns metastore ID if the parent is a metastore.

Example: main.default

quota_namestring

The name of the quota.

Example: table-quota

quota_countint32

The current usage of the resource quota.

Example: 1234

quota_limitint32

The current limit of the resource quota.

Example: 10000

last_refreshed_atint64

The timestamp that indicates when the quota count was last updated.

Example: 1723750401

Get GA

GET /api/2.1/unity-catalog/resource-quotas/{parent_securable_type}/{parent_full_name}/{quota_name}

The GetQuota API returns usage information for a single resource quota, defined as a child-parent pair. This API also refreshes the quota count if it is out of date. Refreshes are triggered asynchronously. The updated count might not be returned in the first call.

API scopes: unity-catalog

Parameters

parent_securable_typestringRequiredpath

Securable type of the quota parent.

parent_full_namestringRequiredpath

Full name of the parent resource. Provide the metastore ID if the parent is a metastore.

quota_namestringRequiredpath

Name of the quota. Follows the pattern of the quota type, with "-quota" added as a suffix.

Response

quota_infoobject

The returned QuotaInfo.

Show child attributesHide child attributes
parent_securable_typestring

The quota parent securable type.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE, MODEL, MODEL_SERVICE, MCP_SERVICE, MODEL_PROVIDER_SERVICE

Example: schema

parent_full_namestring

Name of the parent resource. Returns metastore ID if the parent is a metastore.

Example: main.default

quota_namestring

The name of the quota.

Example: table-quota

quota_countint32

The current usage of the resource quota.

Example: 1234

quota_limitint32

The current limit of the resource quota.

Example: 10000

last_refreshed_atint64

The timestamp that indicates when the quota count was last updated.

Example: 1723750401